using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;
using Verse;

namespace RimWorld{
public class Building_Campfire : Building_WorkTable
{
	private static Graphic FireGraphic = GraphicDatabase.Get<Graphic_Flicker>("Things/Special/Fire", ShaderDatabase.TransparentPostLight, Vector2.one, Color.white );

	public override void DrawAt(Vector3 drawLoc)
	{
		// base method intentionally not called

		// force wood base to be drawn facing north, rather than to use the building's rotation since it is used
		// to track where the worker should stand

		Graphic.Draw(drawLoc, Rot4.North, this);

		FireGraphic.Draw(drawLoc, Rot4.North, this);
	}
}}
